Subject: RE: [AVT] RE: I-D ACTION:draft-ietf-avt-hc-over-mpls-protocol-04.txt

From: "Lars-Erik Jonsson \(LU/EAB\)" <[email-masked]>
Date: Thu, 20 Apr 2006 15:10:31 +0200

Jerry and others,

I think the draft should now be ready for WG last-call. I just
read it through one more time and I did not find any real show
stoppers.

However, I found a few things that I believe we should fix, 
before or after WGLC (all of them are at the editorial level).

* ICMP is referred to as a compressible header at two places,
  one is in the "Context" part of the Terminology. I am not
  aware of an existing HC scheme for ICMP, so I think we should
  remove the mentioning of it.

* "HC channel" in Terminology: With this term, do we mean a
  single unidirectional connection or a pair of two parallel
  unidirectional connections, one in each direction? We do not
  use this term in the document in a way that clarifies what
  is meant. It could be an idea to refer to RFC 3759 here.

* ICMP again in section 3, page 5. Remove!

* In section 3, page 6:
  "The remaining compression comes from the observation that
   although several fields change in every packet, the
   difference from packet to packet is often constant and
   therefore the second-order difference is zero."

  I think we should instead say something like:
  "The remaining compression comes from the observation that
   although several fields change in every packet, the
   difference from packet to packet is often constant or at
   least limited, and therefore the second-order difference
   is zero."

* Line 13 (?) on page 7:
  "atrthe" should be "at the"

* There is an error in the second paragraph after the list of
  defined packet types in section 4.3. What it says was correct
  at one point, but now we have two type encodings also for
  ROHC since the bits will be there anyway, i.e. we have used
  the same approach as for PPP. The last sentence of the
  paragraph is actually wrong!

  Remove:
  "For ROHC, the first byte of the PW control word is set to
  zero."

  Potentially replace it with:
  "Since the "Packet Type" will be there anyway, it is used
  to indicate ROHC CID size, in the same way as with PPP."

* [ECRTP-REORDER], this draft has expired and should thus not
  be referred to.

* We do not have document name references for Internet Drafts,
  only Title. Since drafts are changing all the time, it is
  a good idea to include full document name for the draft,
  that would also make it easier to find the document.
  e.g. [ROHC-IMPL-GUIDE] ->
          <draft-ietf-rohc-rtp-impl-guide-18.txt>

* There is one nit on the document, and that is about the
  special "Authors' & Contributors' Addresses" section.
  This section confuses me to, and I think you should either:
  - Put all these authors on the front page as authors
  - Keep the front page as it is, and fully remove the rest
    of the "authors" from the address list, i.e. instead
    acknowledge the contributions in the (beginning of the?)
    acknowledgments section.

Rgds,
/L-E

----Original Message----
From: Ash, Gerald R (Jerry), ALABS [mailto:[email-masked]]
Sent: den 8 mars 2006 00:02
To: IETF AVT WG
Cc: Ash, Gerald R (Jerry), ALABS
Subject: [AVT] RE: I-D
ACTION:draft-ietf-avt-hc-over-mpls-protocol-04.txt

> Hi All,
> 
> Please review and comment on the updated draft "Protocol
> Extensions for
> Header Compression over MPLS"
> (http://www.ietf.org/internet-drafts/draft-ietf-avt-hc-over-mp
> ls-protoco l-04.txt). 
> 
> The updates are based on comments from Colin Perkins, see
> http://www1.ietf.org/mail-archive/web/avt/current/msg06407.html.
> 
> The main changes include the following:
> 
> 1. Added detail to worked example in Section 5 to illustrate how the
> actual header compressed data is encapsulated.
> 
> 2. Clarified Section 4 (2nd paragraph), updated security
> considerations Section 6, and updated IANA considerations Section 8.
> 
> Once again, please review and comment on the updated draft.
> 
> Thanks,
> Jerry
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Tuesday, March 07, 2006 3:50 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: [AVT] I-D ACTION:draft-ietf-avt-hc-over-mpls-protocol-04.txt
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
> directories. This draft is a work item of the Audio/Video Transport
> Working Group of
> the IETF.
> 
> 	Title		: Protocol Extensions for Header Compression
> over MPLS
> 	Author(s)	: J. Ash, et al.
> 	Filename	: draft-ietf-avt-hc-over-mpls-protocol-04.txt
Pages		: 29
> 	Date		: 2006-3-7
> 
> VoIP typically uses the encapsulation voice/RTP/UDP/IP. When MPLS
> labels are added, this becomes voice/RTP/UDP/IP/MPLS-labels. For an
> MPLS VPN, the packet header is typically 48 bytes, while the voice
> payload is often no more than 30 bytes, for example. Header
> compression can significantly reduce the overhead through various
> compression mechanisms.  MPLS is used to route header-compressed (HC)
> packets over an MPLS LSP without compression/decompression cycles at
> each router.  Such an HC over MPLS capability increases the bandwidth
> efficiency as well as processing scalability of the maximum number of
> simultaneous compressed flows that use HC at each router.  MPLS
> pseudowires are used to transport the HC context and other control
> messages between the ingress and egress MPLS label switched router
> (LSR).  Standard HC methods (e.g., ECRTP, ROHC, etc.) are re-used to
> determine the context.  Each HC scheme operates over a single
> pseudowire instance very much like it would over a single
> point-to-point link. 
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-avt-hc-over-mpl
> s-protocol -04.txt 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt

---

From: "Ash, Gerald R \(Jerry\), ALABS" <[email-masked]>
Date: Thu, 20 Apr 2006 08:34:18 -0500

Hi L-E,

Thanks for the review (co-author :-).

IMHO these editorial comments can fixed after a WGLC, along with any
other comments we receive in the WGLC.  

Of course, we can leave that up to the AVT co-chairs. 

Regards,
Jerry

-----Original Message-----
From: Lars-Erik Jonsson (LU/EAB) [mailto:[email-masked]]

Sent: Thursday, April 20, 2006 9:11 AM
To: Ash, Gerald R (Jerry), ALABS; IETF AVT WG
Subject: RE: [AVT] RE: I-D
ACTION:draft-ietf-avt-hc-over-mpls-protocol-04.txt 

Jerry and others,

* In section 3, page 6:

* Line 13 (?) on page 7:

  Remove:

Rgds,
/L-E

----Original Message----
From: Ash, Gerald R (Jerry), ALABS [mailto:[email-masked]]
Sent: den 8 mars 2006 00:02
To: IETF AVT WG
Cc: Ash, Gerald R (Jerry), ALABS
Subject: [AVT] RE: I-D

Pages		: 29

---

From: Colin Perkins <[email-masked]>
Date: Thu, 20 Apr 2006 16:11:40 +0100

> Of course, we can leave that up to the AVT co-chairs.

I would prefer to do them now, if that's possible. The fewer changes  
needed to something after working group last call the better.

Colin